Subject: Re: [MacVLAN] failure to deliver reassembled IPv6 multicast traffic

From: Ben Greear <[email-masked]>
Date: Tue, 19 Feb 2013 14:37:53 -0800

On 02/19/2013 02:22 PM, Ben Greear wrote:
> On 02/15/2013 11:35 AM, Eric Dumazet wrote:
>> On Fri, 2013-02-15 at 11:27 -0800, Ben Greear wrote:
>>
>>> For some reason I was thinking this wasn't fully fixed for IPv4, but
>>> maybe it is..the bug in our internal tracker only mentions IPv6
>>> as having issues...
>>>
>>> We'll do some testing on IPv4 sometime soon to make sure, and can test
>>> IPv6 patches as well...
>>
>> This worries me a bit, as I wrote this patch because you reported the
>> issue.
>
> We just did some testing on this on the 3.7.6+ kernel.  IPv4 multicast to
> mac-vlans works OK with large packets if there is a single multicast receiver,
> but does NOT work if there are multiple multicast receivers (ie, several
> mac-vlans with an mcast receive bound to each mvlan).

I should clarify this a bit:  This kernel has some additional
patches...probably nothing that makes this issue worse, but
I guess you never know.  We have not tested this on standard
upstream kernels.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com